Subject: Superfluous brackets in sysext sysexts "tstemplate_analyzer", "tstemplate_ceditor", "tstemplate_info" and 

"tstemplate_objbrowser" after namespaces move
Description

The following syntax appears in various parts of these extensions:

-    if (((!$root && !$DBmount) && $elFromTable) && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {
+    if (!$root && !$DBmount && $elFromTable && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {

Associated revisions
Revision 6e8ad38e - 2012-09-17 21:16 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "tstemplate_analyzer",
"tstemplate_ceditor", "tstemplate_info" and "tstemplate_objbrowser".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I7724aa9b38d7db641db4bd75c1a059bf8a71038b
Resolves: #40973
Related: #40095
Reviewed-on: http://review.typo3.org/14632
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2012-09-16 22:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14632

#2 - 2012-09-17 21:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6e8ad38e8f5b0ff5f20ee6d5cf2cae188a3b69e9.
